<?php
  
class Box
{
    private $type = 2;
    private $header_color = '222222';
    private $image_frame = false;
    private $width = 'one_third';
    private $align = 'left';
    private $title = '';
    private $image_url = '';
    private $image_width = '';
    private $image_height = '';
    private $content = '';
    private $link = '';
    private $link_type = 'link';
    private $link_type_color = 'light';
    private $link_text = '[Continue reading...]';
    
    function __construct()
    {                   
    }   
    public function set_type($type)
    {
        $this->type = $type;
    }         
    public function set_header_color($color)
    {
        $this->header_color = $color;
    }    
    public function set_image_frame($image_frame)
    {
        $this->image_frame = $image_frame;
    }        
    public function set_alignment($alignment)
    {
        $this->align = $alignment;
    }    
    public function set_width($width)
    {
        $this->width = $width; 
    }    
    public function set_title($title)
    {
        $this->title = $title; 
    }    
    public function set_image($image)
    {
        $this->image_url = $image[0];
        $this->image_width = $image[1];        
        $this->image_height = $image[2]; 
    }    
    public function set_content($content)
    {
        $this->content = $content; 
    }       
    public function set_link($link)
    {
        $this->link = $link; 
    }    
    public function set_link_type($link_type)
    {
        $this->link_type = $link_type; 
    }
    public function set_link_type_color($link_type_color)
    {
        $this->link_type_color = $link_type_color; 
    }        
    public function set_link_text($link_text)
    {
        $this->link_text = $link_text; 
    }    
    public function get_html()
    {
        $html = '';
        ob_start();
        
?>
        <div class="box-<?php echo "{$this->type}"; ?> <?php echo $this->width; ?>">
            <div class="box-item">
<?php
                switch ($this->type) {
                    case 1:
                    case 4:                    
                    case 7:
                    case 8:
                        echo $this->_get_header();
                        echo $this->_get_image();
                        echo $this->_get_content();
                        break;
                    case 2:
                    case 3:
                    case 5:
                    case 6:                    
                        echo $this->_get_image();
                        echo $this->_get_header();                       
                        echo $this->_get_content();                    
                        break;                          
                }
?>            
            </div>
        </div>        
<?php               
        $html = ob_get_contents();
        ob_end_clean();
        
        return $html;
    }    
    protected function _get_header()
    {        
        return '<div class="box-title" style="text-align: '. $this->align. ';color:#'. $this->header_color. ';">'. $this->title. '</div>';            
    }    
    protected function _get_image()
    {
        if (empty($this->image_url)) return;
        ob_start();
        
        // 
?>
        <div class="box-image"><?php if ($this->image_frame == "on"): ?><span class="wpboxer_image_frame"><?php endif; ?><?php if ($this->link) : ?><a href="<?php echo $this->link; ?>" class='image_icon_link'><?php endif; ?><img src='<?php echo $this->image_url; ?>' alt='<?php echo $this->title; ?>' <?php if ($this->image_frame == "on") echo "width='100%'"; ?> /><?php if ($this->link) : ?></a><?php endif; ?><?php if ($this->image_frame == "on"): ?></span><?php endif; ?><?php if ($this->image_frame == "on"): ?><img src='<?php echo WP_PLUGIN_URL; ?>/boxer/images/image_shadow.png' width='100%' /><?php endif; ?></div>        
<?php
        $out = ob_get_contents();
        ob_end_clean();
        
        return $out;     
    }    
    protected function _get_content()
    {        
        $out = '<div class="box-content" style="text-align: '. $this->align. ';">';
        $out .= do_shortcode( $this->content ); 
        $out .= '</div>';
                    
        if ($this->link && $this->link_text) {
            if ($this->link_type == 'button') {
                $class = 'small-'. $this->link_type_color. '-button';
                $out .= '<div class="clear"></div>';   
            }                        
            $out .= ' <a class="'. $class. '" href="'. $this->link. '"><span>'. esc_attr($this->link_text). '</a>';    
        }
        
        return $out;    
    }
}
