<?php

$options = array (
    'wpboxer_box_type' => array ( 
        "id" => "wpboxer_box_type",
        "name" => "Box Type",
        "desc" => __( 'Select the type of box you would like to use.' ),
        "type" => "radio",
        "options" => array("01", "02", "03", "04", "05", "06", "07", "08"),
        "std" => "02"
    ),
    'wpboxer_header_color' => array( 
        "name" => "Header Color",
        "desc" => __( 'Specify the text color of your box header.' ),
        "id" => "wpboxer_header_color",
        "type" => "color",
        "size" => 10,
        "std" => "222222"
    ),
    'wpboxer_image_frame' => array( 
        "name" => "Image Frame",
        "desc" => __( 'Specify whether the image should be presented in a frame.' ),
        "id" => "wpboxer_image_frame",
        "type" => "check",
        "std" => "off"
    ),
    'wpboxer_text_align' => array( 
        "name" => "Text Alignment",
        "desc" => __( 'Select the alignment for header and content of the box.' ),
        "id" => "wpboxer_text_align",
        "type" => "select",
        "options" => array("Left", "Center", "Right", "Justify"),
        "std" => "left"
    ),        
    'wpboxer_box_width' => array( 
        "name" => "Box Width",
        "desc" => __( 'Specify the width of the box. Make sure the last box in each row ends with _last !' ),
        "id" => "wpboxer_box_width",
        "type" => "select",
        "options" => array(
            "", "one_half", "one_half_last", "one_third", "one_third_last", "two_third", "two_third_last", "one_fourth", "one_fourth_last", 
            "three_fourth", "three_fourth_last", "one_fifth", "one_fifth_last", "two_fifth", "two_fifth_last", "three_fifth", "three_fifth_last", 
            "four_fifth", "four_fifth_last", "one_sixth", "one_sixth_last", "five_sixth", "five_sixth_last"
        ),
        "std" => ""
    ), 
    'wpboxer_box_link' => array( 
        "name" => "Box Link",
        "desc" => __( 'Specify the location to where the link in your box should point. When left empty, no link will be displayed.' ),
        "id" => "wpboxer_box_link",
        "type" => "text",
        "size" => 80,
        "std" => ""
    ),
    'wpboxer_box_link_type' => array( 
        "name" => "Box Link Type",
        "desc" => __( 'Select the type of link you would like to use.' ),
        "id" => "wpboxer_box_link_type",
        "type" => "select",
        "options" => array("link", "button"),
        "std" => "link"
    ),
    'wpboxer_box_link_text' => array( 
        "name" => "Box Link Text",
        "desc" => __( 'Specify the text that should be displayed inside the link or button.' ),
        "id" => "wpboxer_link_text",
        "type" => "text",
        "size" => 20,
        "std" => ""
    )
);

foreach ( $options as $value ) {    
    $$value['id'] = get_option( $value['id'] );
    if (! $$value['id']) $$value['id'] = $value['std'];
    
    if ( $value['type'] == 'check' && ! isset( $_POST[$value['id']] ) ) { 
        update_option( $value['id'], "off" ); 
    }
    
    if ( isset( $_POST[$value['id']] ) ) {        
        $value['id'] = $_POST[$value['id']];
        update_option( $value['id'], esc_attr($$value['id']) );
    }     
}
      
?>
 
<div class="cow-boxer-options wrap">
    <div id="icon-options-general" class="icon32"><br></div>
    <h2>WP Boxer Settings</h2>
<?php    
    if ( isset( $_POST['updated'] ) ) : ?>
        <div id="setting-error-settings_updated" class="updated settings-error"> 
            <p><strong><?php _e( 'Options saved' ); ?></strong></p>
        </div>
<?php 
    endif;    
?>     
    <p>
        <?php _e('You can set your default options here.'); ?>
    </p>     
    <form method="post"> 
        <?php foreach ( $options as $value ) : ?>
        <?php 
            switch ( $value['type'] ) { 
                case 'text': 
?>
                    <div class="option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <input type="text" name="<?php echo $value['id']; ?>" value='<?php echo $$value['id']; ?>' size="<?php echo $value['size']; ?>" />
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>
<?php
                    break;
                    
                case 'color':
?>
                    <div class="option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <input class="color_picker" type="text" name="<?php echo $value['id']; ?>" value='<?php echo $$value['id']; ?>' size="<?php echo $value['size']; ?>" />
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>
<?php
                    break;
                    
                case 'textarea':
?>
                    <div class="option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <textarea name="<?php echo $value['id']; ?>"><?php echo $$value['id']; ?></textarea>
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>                    
<?php
                    break;
                    
                case 'radio': 
?>
                    <div class="option_set radio_option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <?php foreach ( $value['options'] as $opt ) : ?>
                            <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $opt; ?>" <?php if ( $$value['id'] == $opt ) echo 'checked="checked"'; ?>> <img src='<?php echo COW_PLUGINPATH; ?>images/box-type-<?php echo $opt ?>.png' alt='box-type-<?php echo $opt ?>' />     
                            <?php endforeach; ?>
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>
<?php
                    break;
                    
                case 'select':
?>
                    <div class="option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <select id="<?php echo $value['id']; ?>" name="<?php echo $value['id']; ?>">
                                <?php foreach ( $value['options'] as $opt ) : ?>                        
                                <option value='<?php echo $opt; ?>'<?php if ( $$value['id'] == $opt ) echo ' selected="selected"'; ?>><?php echo $opt; ?></option>
                                <?php endforeach; ?>
                            </select>   
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>
<?php
                    break;
                    
                case 'check': 
?>
                    <div class="option_set">
                        <div class="option_header"><?php echo $value['name']; ?></div>
                        <div class="option">
                            <input type="checkbox" name="<?php echo $value['id']; ?>"<?php if ( $$value['id'] == 'on' ) echo 'checked="checked"'; ?> />    
                        </div>
                        <div class="option_help">
                            <a href="#">
                                <img src="<?php echo COW_PLUGINPATH; ?>images/help.png" alt="">
                            </a>
                            <div class="help_tooltip"><?php echo $value['desc']; ?></div>
                        </div>
                        <div class="clear"></div>
                    </div>        
        <?php } ?>
        <?php endforeach; ?>
           
        <p class="submit">
            <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
        </p>
        
        <input type="hidden" name='updated' value='true' />
    </form>
    
    <div id="icon-users" class="icon32"><br></div>
    <h2><?php _e( 'Buy Me A Beer ?' ); ?></h2>
    <p>
        <?php _e('Thank you for using Boxer!<br>If you really like Boxer, you can support its development by donating.'); ?>
    </p>
    <p>
        <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
            <input type="hidden" name="cmd" value="_donations">
            <input type="hidden" name="business" value="mboomaars@gmail.com">
            <input type="hidden" name="lc" value="NL">
            <input type="hidden" name="item_name" value="CodingOurWeb">
            <input type="hidden" name="no_note" value="0">
            <input type="hidden" name="currency_code" value="EUR">
            <input type="hidden" name="bn" value="PP-DonationsBF:btn_donateCC_LG.gif:NonHostedGuest">
            <input type="image" src="https://www.paypalobjects.com/en_US/NL/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
            <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
        </form>    
    </p>

</div>